=== menuconfig/Makefile ===
MENUCONFIG_FILES= cfg.o curses.o items.o commands.o menus.o parser.o main.o
MENUCONFIG_CFG_PATH?=menuconfig/configs/
MENUCONFIG_GEN_PATH?=etc/
MENUCONFIG_HAVE_SOURCES?=1
CFLAGS+=-g -Wall -DMENUCONFIG_CFG_PATH=\"$(MENUCONFIG_CFG_PATH)\" \
			-DMENUCONFIG_GEN_PATH=\"$(MENUCONFIG_GEN_PATH)\" \
			-DMENUCONFIG_HAVE_SOURCES=$(MENUCONFIG_HAVE_SOURCES) $(CC_EXTRA_OPTS)
MY_LDFLAGS=-lncurses $(LD_EXTRA_OPTS) $(LDFLAGS)
EXEC_NAME=configure

all: $(MENUCONFIG_FILES)
	$(CC) -o $(EXEC_NAME) $(CFLAGS) $^ $(MY_LDFLAGS)

.PHONY: proper
proper:
	-rm -f $(EXEC_NAME)
	-rm -f $(MENUCONFIG_FILES)
