=== modules/alias_db/Makefile ===
# $Id$
#
# User aliases
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs

auto_gen=
NAME=alias_db.so
LIBS=
DEFS+=

include ../../Makefile.modules
