=== modules/auth_db/Makefile ===
# $Id$
#
# Digest Authentication - Database support
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=auth_db.so
LIBS=

include ../../Makefile.modules
