=== debian/changelog ===
opensips (2.2.2-3build4) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:50 +0000

opensips (2.2.2-3build3) bionic; urgency=medium

  * No-change rebuild against libconfuse2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2017 16:17:37 +0000

opensips (2.2.2-3build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:12:10 +0000

opensips (2.2.2-3build1) artful; urgency=medium

  * No-change rebuild against latest libmicrohttpd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Jul 2017 13:55:25 -0400

opensips (2.2.2-3) unstable; urgency=medium

  * debian/patches:
    + Add patch to disable timerfd features if headers are not available.
    + Add patch to remove forced /usr/local/include on several modules.
    + Remove /usr/local/include from fix-radcli.patch Makefile.
    + Add DEP-3 fields to all patches that were missing the tags.
  * debian/rules:
    + Remove CC_EXTRA_OPTS += -DVERSION_NODATE, since already in CFLAGS.
    + Add -marm flag to CFLAGS to disable thumb mode for armhf.
    + Add rules to build opensips-sqlite-module.
    + Remove builds of opensips-sctp-module for non-linux OSes.
    + Remove --with python2 from building recepies.
    + Add --with systemd to building recepies.
  * debian/control:
    + Remove orphaned libxmlrpc-core-c3-dev package from Build-Depends.
    + Remove dh-python from Build-Depends.
    + Remove dh-systemd (>= 1.5) to Build-Depends.
    + Add perl:Depends dependency for the opensips-console package.
    + Add new opensips-sqlite-module.
  * debian/copyright:
    + Add copyright info for clusterer module files.
    + Add copyright info for db_sqlite module files.
    + Add copyright info for event_flatstore module files.
    + Add copyright info for event_virtual module files.
    + Add copyright info for proto_bin module files.
    + Add copyright info for proto_hep module files.
    + Add copyright info for sql_cacher module files.

 -- Răzvan Crainea <razvan@opensips.org>  Wed, 07 Dec 2016 22:14:57 +0000

opensips (2.2.2-2) unstable; urgency=medium

  * debian/control:
    + Move libssl-dev from Depends to Build-Depends
    + Remove libsctp-dev from Depends for opensips-sctp-module
    + Remove libcurl4-gnutls-dev from Depends for opensips-restclient-module
  * debian/rules:
    + Add NICER=0 to compile flags to see compiler's options

 -- Răzvan Crainea <razvan@opensips.org>  Mon, 05 Dec 2016 15:51:28 +0000

opensips (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Add binary packages:
    + opensips-restclient-module
    + opensips-wss-module
    + opensips-tlsmgm-module
  * debian/patches:
    + Add patch to fix openssl 1.1.0 compile. (Closes: #828472)
    + Add patch to change all freeradius libs to radcli. (Closes: #823112)
    + Add patch to fix spelling errors.
    + Remove UNIVERSAL-import-deprecated.diff as merged in upstream.
    + Remove migrate_to_libmemcached.diff as merged in upstream.
    + Remove fix_spelling_errors.diff as merged in upstream.
    + Remove fix_reproducible_builds.diff as merged in upstream.
    + Remove fix_parallel.diff as merged in upstream.
    + Remove fix_bad_compile.diff as merged in upstream.
    + Remove -marm flag in fix_armhf_ftbfs.diff as fixed in upstream.
  * debian/control:
    + Change db4.6-util to db-util. (Closes: #815411)
    + Change mysqlclient lib to default-mysqlclient.
    + Change liblua5.1-dev to liblua5.1-0-dev dependency.
    + Bump Standards-Version to 3.9.8 (no changes).
    + Add support for mips platforms.
    + Fix libmicrohttpd dependencies.
    + Remove libxmlrpc-core-c3-dev dependency for opensips-xmlrpc-module.
    + Fix typo in Maintainer's name.
  * debian/rules:
    + Build new opensips modules.
    + Export DEB_BUILD_MAINT_OPTIONS for hardening build flags.
    + Add support for RADCLI radius library.
    + Change Makefile targets from '-' to '_'
    + Add support for reproducible builds.
  * debian/copyright:
    + Fix path for cpl module.
    + Remove pdt module.
    + Add sl_cb copyrights.
    + Add proto_wss and tls_mgm copyrights.
  * debian/opensips.service:
    + Add systemd service file.
  * debian/*.lintian-overrides:
    + Create lintian file for opensips and opensips-http-modules.
  * debian/opensips.README.Debian:
    + Remove fork=yes comments in README.
  * debian/opensips.tmpfile:
    + Add temporary directory for pidfile.

 -- Răzvan Crainea <razvan@opensips.org>  Fri, 02 Dec 2016 15:29:48 +0000

opensips (2.1.2-2) unstable; urgency=medium

  * debian/patches:
    + Add patch to fix UNIVERSAL->import warning (5.20) / error (5.22).
    + Add patch to fix building problems.
    + Update armhf patch to fix building.

 -- Razvan Crainea <razvan@opensips.org>  Wed, 09 Mar 2016 13:44:26 +0300

opensips (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add patch to fix parallel builds. (Closes: #814196, #814546, #814194)
    + Add patch to fix FTBFS in armhf. (Closes: #814195)
    + Backport upstream patch to migrate to libmemcached.
    + Add patch to get reproducible builds working.
    + Add patch to work with multiarch paths.
    + Add patch to fix spelling errors.
  * debian/control:
    + Change libjson0-dev to libjson-c-dev. (Closes: #815411)
    + Bump Standards-Version to 3.9.7 (no changes).
    + Remove libmemcache-dev from Build-Depend.
    + Add support for multiarch.
    + Add opensips-berkeley-bin new binary package.
    + Fix spelling error.
    + Change ${python:Depends} to python.
    + Change libsctp-dev and opensips-sctp-module to linux-any.
  * debian/rules:
    + Improve to get parallel builds working.
    + Export proper flag in CFLAGS to get reproducible builds working.
    + Export DEB_HOST_MULTIARCH to get working multiarch paths.
    + Move opensips-console to proper package.

